<!--
  @File Name          : listeprojet.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 03/04/2020 à 14:44:38
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    23/03/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->

<template>
    <!-- bouton ajouter projet -->
        
    <lightning-button class="btt_ajouter" icon-name="utility:add" label="Ajouter projet" variant="brand" onclick={openmodal} ></lightning-button>
      
  
    <template if:true={openmodel}>
    <div class="demo-only"></div>
        <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                        <lightning-icon icon-name="utility:close" size="medium">
                        </lightning-icon>
                        <span class="slds-assistive-text">Close</span>
                    </button>
                    <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter un projet</h2>
                </header>
                <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                  
  <table>
                    <tr>
                      <td>
                        <p>nom de projet:</p>
                      </td>
                      <td>
                        <lightning-input type="text" label="" onchange={handleNamechange}  required ="required" value={ProjetRecord.Name} placeholder="type here..."></lightning-input>
                      </td>
                    </tr>
                    <TR></TR>
                    <tr>
                      <td>
                        
                        <p>État de projet:</p>
                      </td>
                      <td>
                        <lightning-combobox name="Etat__c" 
                        label=" " value={value} placeholder="-Select-"
                        options={pickListvalues} onchange={handleetatchange}>
                    </lightning-combobox>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                      <td>
                        <p>Type:</p>
                      </td>
                      <td>
                        <lightning-combobox name="Type" 
                        label=" " value={value} placeholder="-Select-"
                        options={Type__c} onchange={handleTypechange}>
                    </lightning-combobox>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                    <td>
                      <p>Catégorie:</p>
                    </td>
                    <td>
                      <lightning-input type="text" label="" onchange={handlecategoriechange}  value={ProjetRecord.Gat_gorie__c} placeholder="type here..."></lightning-input>
                    </td>
                  </tr>
                  <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    
                    <tr>
                      <td>
                        <p>
                          Priorité:
                        </p>
                      </td>
                      <td>
              <lightning-combobox name="Priorité" 
                  label=" " value={value} placeholder="-Select-"
                  options={pickListvaluesByRecordType} onchange={handlePrioritechange}>
              </lightning-combobox>
  
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                      <TR></TR>
                  <tr>
                  <td>
                    <p>Date de début:</p>
                  </td>
                  <td>
                    <lightning-input type="date" name="input1" label=" " onchange={handleDateDebutchange}  value={ProjetRecord.Date_Debut__c}  ></lightning-input>
                  </td>
                </tr>
                <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
              <tr>
              <td>
                <p>Date de fin:</p>
              </td>
              <td>
                <lightning-input type="date" name="input2" label=" " onchange={handleDatefinchange}  value={ProjetRecord.Date_fin__c} ></lightning-input>
              </td>
            </tr> 
                  </table>
  
                </div>
                <footer class="slds-modal__footer">
                    <lightning-button label="Annuler" variant="neutral" onclick={closeModal}></lightning-button>&nbsp;&nbsp;&nbsp;&nbsp;
                    <lightning-button label="Enregistrer" variant="brand"  onclick={saveMethod}></lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </div>
    </template>
  
  <table class="recherche"><tbody><tr><th>
  <!-- bouton recherche par nom du projet -->
    <p><lightning-formatted-text value="Nom Projet:" class="t_nomprojet" ></lightning-formatted-text></p>
  
  </th>
  <th>
  <div onkeyup={handleKeyUp} class="rechnom">
  
    <lightning-input
        name="enter-search"
        label=" "
        type="search"></lightning-input>
  </div>
  <p if:true={queryTerm}>
    Searched for {queryTerm}!
  </p>
  </th>
  <th>
  <p class="categorie">
  <lightning-formatted-text value="Catégories:" class="t_categorie" ></lightning-formatted-text></p>
  
  </th>
  <th>
  <!-- bouton recherche par categorie -->
  
  <div onkeyup={handleKeyUp} class="rechcategorie">
  <lightning-input
    name="enter-search"
    label=" "
    type="search" 
  ></lightning-input>
  </div>
  <p if:true={queryTerm}>
  Searched for {queryTerm}!
  </p>
  </th>
  <th>
    <!-- bouton recherche par etat -->
  
  <p class="etat"><lightning-formatted-text value="État:" class="t_etat"></lightning-formatted-text></p>
  
  </th>
  <th>
  <div onkeyup={handleKeyUp} class="recherche_etat">
    <lightning-input
        name="enter-search"
        label=" "
        type="search" 
    ></lightning-input>
  </div>
  <p if:true={queryTerm}>
    Searched for {queryTerm}!
  </p>
  
  </th>
  </tr>
  </tbody></table>
      
      
  
        <!-- groupe liste -->
        <div class="groupliste">
                    <lightning-vertical-navigation-item-icon
                      label="liste des collaborateurs"
                        name="liste des collaborateurs"
                        icon-name="action:new_group" class="collaborateur">
                    </lightning-vertical-navigation-item-icon>
                    <lightning-vertical-navigation-item-icon
                          label="liste des projet"
                        name="liste des projet"
                        icon-name="action:new_notebook" class="projet" >
                    </lightning-vertical-navigation-item-icon>
                    <lightning-vertical-navigation-item-icon
                        label="Calandrier "
                        name="Calandrier"
                        icon-name="action:new_event" class="calandrier">
                    </lightning-vertical-navigation-item-icon>
                    <lightning-vertical-navigation-item-icon
                        label="Diagramme du gantt"
                        name="Diagramme du gantt"
                        icon-name="action:share_poll" class="gantt">
                    </lightning-vertical-navigation-item-icon>
                  <lightning-vertical-navigation-item-icon
                        label="Rapports et Dashbords"
                        name="Rapports et Dashbords"
                        icon-name="action:description" class="rapport">
                    </lightning-vertical-navigation-item-icon>
          </div>
        <!-- table -->
        


        
    </template>


    <lightning-card title="Datatable with Row Actions" icon-name="standard:contact" > <br/>
       <div style="width: auto;">
           <template if:true={data}>

               <lightning-datatable data={data}
                                    columns={columns}
                                    key-field="id"
                                    hide-checkbox-column="true"
                                    onrowaction={handleRowActions}></lightning-datatable>
           </template>

       </div>

       <!-- Spinner -->
       <div if:true={showLoadingSpinner}>
           <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
       </div>

       <!-- Detail view modal -->
       <template if:true={bShowModal}>
           <section role="dialog" tabindex="-1"
                   aria-labelledby="modal-heading-01"
                   aria-modal="true"
                   aria-describedby="modal-content-id-1"
                   class="slds-modal slds-fade-in-open">
           <div class="slds-modal__container">
               <!-- modal header -->
               <header class="slds-modal__header">
                   <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                       <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
                   </button>
                   
                   <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
                   <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record Values</h2>
               </header>
               <!-- modal body -->
               <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1" if:false={isEditForm}>
                   <dl class="slds-list_horizontal slds-wrap">
                       <dt class="slds-item_label slds-truncate" title="First Name">First Name:</dt>
                       <dd class="slds-item_detail slds-truncate">{record.FirstName}</dd>
                       <dt class="slds-item_label slds-truncate" title="LastName">Last Name:</dt>
                       <dd class="slds-item_detail slds-truncate">{record.LastName}</dd>
                       <dt class="slds-item_label slds-truncate" title="Phone">Phone :</dt>
                       <dd class="slds-item_detail slds-truncate"><lightning-formatted-phone value={record.Phone} ></lightning-formatted-phone></dd>
                       <dt class="slds-item_label slds-truncate" title="Email">Email :</dt>
                       <dd class="slds-item_detail slds-truncate"><lightning-formatted-email value={record.Email} ></lightning-formatted-email></dd>
                   </dl>
               </div>
               
               <!-- showing record edit form -->
               <div if:true={isEditForm} class="slds-theme_default">
                   <lightning-record-edit-form layout-type="Full" record-id={currentRecordId} object-api-name="Contact" onsubmit={handleSubmit} onsuccess={handleSuccess}>
                       <lightning-messages></lightning-messages>
                       <lightning-output-field field-name="AccountId"></lightning-output-field>
                       <lightning-input-field field-name="FirstName"></lightning-input-field>
                       <lightning-input-field field-name="LastName"></lightning-input-field>
                       <lightning-input-field field-name="Email"></lightning-input-field>
                       <lightning-input-field field-name="Phone"></lightning-input-field><br/>
                       
                       <div style="text-align:center;">
                           <lightning-button class="slds-m-top_small"
                                             variant="brand"
                                             type="submit"
                                             name="update"
                                             label="Update Record"></lightning-button>
                       </div>
                   </lightning-record-edit-form><br/>
                   <div></div>
               </div>

               <!-- modal footer start-->
               <footer class="slds-modal__footer" if:false={isEditForm}>
                   <lightning-button variant="brand"
                                     label="Close"
                                     title="Close"
                                     onclick={closeModal}></lightning-button>
               </footer>
           </div>
           </section>
           <div class="slds-backdrop slds-backdrop_open"></div>
          
       </template>
   </lightning-card>   
